---
title: ServiceWorkerGlobalScope.oncontentdelete
slug: Web/API/ServiceWorkerGlobalScope/oncontentdelete
tags:
  - Content Index API
  - Event Handler
  - ServiceWorkerGlobalScope
  - content indexing
  - delete
---
<div>{{draft}}{{DefaultAPISidebar("Service Worker API")}}</div>

<p class="summary">The <strong><code>oncontentdelete</code></strong> property of the {{domxref("ServiceWorkerGlobalScope")}} interface is an event handler fired when an item is removed from the indexed content via the user agent. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">ServiceWorkerGlobalScope.oncontentdelete = function(event) { ... };
</pre>

<h2 id="Examples">Examples</h2>

<p>The following example uses a <code>contentdelete</code> event handler to remove cached content related to the deleted index item.</p>

<pre class="brush: js notranslate">self.addEventListener('contentdelete', event =&gt; {
  event.waitUntil(
    caches.open('cache-name').then(cache =&gt; {
      return Promise.all([
        cache.delete(`/icon/${event.id}`),
        cache.delete(`/content/${event.id}`)
      ])
    })
  );
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Content Index API','#extensions-to-service-worker-global','contentdelete')}}</td>
   <td>{{Spec2('Content Index API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerGlobalScope.contentdelete")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{domxref("Content Index API")}}</li>
  <li><a href="https://web.dev/content-indexing-api/">An introductory article on the Content Index API</a></li>
  <li><a href="https://contentindex.dev/">An app which uses the Content Index API to list and remove 'save for later' content</a></li>
</ul>
